/*
 * Tapiocaui app
 * Copyright (C) 2005 INdT
 * @author Abner Jose de Faria Silva <abner.silva@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 */

#ifndef __TAPIOCAUI_SHELL_PRESENCE_H__
#define __TAPIOCAUI_SHELL_PRESENCE_H__

#include "tapiocaui_shell.h"
#include "tapiocaui_shell_priv.h"
 
// presence callbacks
void        tapiocaui_shell_presence_status_up_cb             (TapiocaPresence *presence,
                                                               const gchar     *contact,
                                                               guint            status,
                                                               const gchar     *status_desc,
                                                               gboolean         voice_cap,
                                                               gpointer         user_data);
void        tapiocaui_shell_presence_registered_cb            (TapiocaPresence *presence,
                                                               gpointer         user_data);
void        tapiocaui_shell_presence_unregistered_cb          (TapiocaPresence *presence,
                                                               gpointer         user_data);
#endif
